summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2019-01-10 06:37:34 +0100
committerRemi Collet <remi@remirepo.net>2019-01-10 06:37:34 +0100
commit603c4890fe391b283d61d7c2540168a02f68ae5c (patch)
tree6031c8c878422579a8c50108340a2e4ed3b75081
parent067f6b653a2fde86f864524e778b4a86730c1e58 (diff)
update to 1.4.0HEADmaster
raise dependency on sensiolabs/security-checker 5.0
-rw-r--r--composer.json6
-rw-r--r--php-zendframework-zenddiagnostics.spec39
2 files changed, 25 insertions, 20 deletions
diff --git a/composer.json b/composer.json
index 2de186a..0fad504 100644
--- a/composer.json
+++ b/composer.json
@@ -27,7 +27,7 @@
"php-amqplib/php-amqplib": "^2.0",
"phpunit/phpunit": "^5.7.27 || 6.5.8 || ^7.1.2",
"predis/predis": "^1.0",
- "sensiolabs/security-checker": "^1.3",
+ "sensiolabs/security-checker": "^5.0",
"symfony/yaml": "^2.7 || ^3.0 || ^4.0",
"zendframework/zend-coding-standard": "~1.0.0",
"zendframework/zend-loader": "^2.0"
@@ -56,8 +56,8 @@
},
"extra": {
"branch-alias": {
- "dev-master": "1.3.x-dev",
- "dev-develop": "1.4.x-dev"
+ "dev-master": "1.4.x-dev",
+ "dev-develop": "1.5.x-dev"
}
},
"scripts": {
diff --git a/php-zendframework-zenddiagnostics.spec b/php-zendframework-zenddiagnostics.spec
index dce22e2..1ceb2e8 100644
--- a/php-zendframework-zenddiagnostics.spec
+++ b/php-zendframework-zenddiagnostics.spec
@@ -6,7 +6,7 @@
#
# Please, preserve the changelog entries
#
-%global gh_commit 90bc83201c8fdd97715705e58bf2688796086cde
+%global gh_commit 79d0b7d0a1cab8f18e73d76ff1c2ec028f113840
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner zendframework
%global gh_project zend-diagnostics
@@ -19,7 +19,7 @@
%global with_tests 0%{!?_without_tests:1}
Name: php-%{pk_vendor}-%{pk_project}
-Version: 1.3.1
+Version: 1.4.0
Release: 1%{?dist}
Summary: A set of components for performing diagnostic tests
@@ -46,19 +46,19 @@ BuildRequires: php-xmlreader
# "php-amqplib/php-amqplib": "^2.0",
# "phpunit/phpunit": "^5.7.27 || 6.5.8 || ^7.1.2",
# "predis/predis": "^1.0",
-# "sensiolabs/security-checker": "^1.3",
+# "sensiolabs/security-checker": "^5.0",
# "symfony/yaml": "^2.7 || ^3.0 || ^4.0",
# "zendframework/zend-coding-standard": "~1.0.0",
# "zendframework/zend-loader": "^2.0"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(doctrine/migrations) >= 1.0 with php-composer(doctrine/migrations) < 2)
-BuildRequires: (php-composer(guzzlehttp/guzzle) >= 5.3.2 with php-composer(guzzlehttp/guzzle) < 7)
-BuildRequires: (php-composer(mikey179/vfsStream) >= 1.6 with php-composer(mikey179/vfsStream) < 2)
-BuildRequires: (php-composer(php-amqplib/php-amqplib) >= 2.0 with php-composer(php-amqplib/php-amqplib) < 3)
-BuildRequires: (php-composer(predis/predis) >= 1.0 with php-composer(predis/predis) < 2)
-BuildRequires: php-composer(sensiolabs/security-checker) >= 1.3
-BuildRequires: (php-composer(symfony/yaml) >= 2.7 with php-composer(symfony/yaml) < 5)
+BuildRequires: (php-composer(doctrine/migrations) >= 1.0 with php-composer(doctrine/migrations) < 2)
+BuildRequires: (php-composer(guzzlehttp/guzzle) >= 5.3.2 with php-composer(guzzlehttp/guzzle) < 7)
+BuildRequires: (php-composer(mikey179/vfsStream) >= 1.6 with php-composer(mikey179/vfsStream) < 2)
+BuildRequires: (php-composer(php-amqplib/php-amqplib) >= 2.0 with php-composer(php-amqplib/php-amqplib) < 3)
+BuildRequires: (php-composer(predis/predis) >= 1.0 with php-composer(predis/predis) < 2)
+BuildRequires: (php-composer(sensiolabs/security-checker) >= 5.0 with php-composer(sensiolabs/security-checker) < 6)
+BuildRequires: (php-composer(symfony/yaml) >= 2.7 with php-composer(symfony/yaml) < 5)
%global phpunit %{_bindir}/phpunit7
# remirepo:15
%else
@@ -72,7 +72,8 @@ BuildRequires: php-composer(php-amqplib/php-amqplib) < 3
BuildRequires: php-composer(php-amqplib/php-amqplib) >= 2.0
BuildRequires: php-composer(predis/predis) < 2
BuildRequires: php-composer(predis/predis) >= 1.0
-BuildRequires: php-composer(sensiolabs/security-checker) >= 1.3
+BuildRequires: php-composer(sensiolabs/security-checker) < 6
+BuildRequires: php-composer(sensiolabs/security-checker) >= 5.0
BuildRequires: php-symfony3-yaml
%global phpunit %{_bindir}/phpunit
%endif
@@ -96,12 +97,12 @@ Requires: php(language) >= 5.6
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Recommends: php-bcmath
-Recommends: php-composer(sensiolabs/security-checker) >= 1.3
-Recommends: (php-composer(symfony/yaml) >= 2.7 with php-composer(symfony/yaml) < 5)
-Recommends: (php-composer(guzzlehttp/guzzle) >= 5.3.2 with php-composer(guzzlehttp/guzzle) < 7)
-Recommends: (php-composer(predis/predis) >= 1.0 with php-composer(predis/predis) < 2)
-Recommends: (php-composer(php-amqplib/php-amqplib) >= 2.0 with php-composer(php-amqplib/php-amqplib) < 3)
-Recommends: (php-composer(doctrine/migrations) >= 1.0 with php-composer(doctrine/migrations) < 2)
+Recommends: (php-composer(sensiolabs/security-checker) >= 5.0 with php-composer(sensiolabs/security-checker) < 6)
+Recommends: (php-composer(symfony/yaml) >= 2.7 with php-composer(symfony/yaml) < 5)
+Recommends: (php-composer(guzzlehttp/guzzle) >= 5.3.2 with php-composer(guzzlehttp/guzzle) < 7)
+Recommends: (php-composer(predis/predis) >= 1.0 with php-composer(predis/predis) < 2)
+Recommends: (php-composer(php-amqplib/php-amqplib) >= 2.0 with php-composer(php-amqplib/php-amqplib) < 3)
+Recommends: (php-composer(doctrine/migrations) >= 1.0 with php-composer(doctrine/migrations) < 2)
# remirepo:1
%endif
# Autoloader
@@ -193,5 +194,9 @@ exit $ret
%changelog
+* Thu Jan 10 2019 Remi Collet <remi@remirepo.net> - 1.4.0-1
+- update to 1.4.0
+- raise dependency on sensiolabs/security-checker 5.0
+
* Thu Jan 3 2019 Remi Collet <remi@remirepo.net> - 1.3.1-1
- initial package